//
//  PreferencesKey.swift
//  forShip
//
//  Created by Mamoru Sugita on 2023/10/16.
//


///@AppStorageのキーに使用
///@AppStarage(PreferencesKey.〇〇.rawValue)
class PreferencesKey{
    
    ///String型
    enum TypeString: String{
        case ShipId
        case ShipPassword
        case UserName
    }
    
    ///Int型
    enum TypeInt: String{
        case LocationType
        case AppStartUsingDate
        case LastLoginDate
    }
    
    enum TypeURL: String{
        case ECDIS
        case RADAR
        case NeCST
    }
    
    
}

